Subject: Re: [RESEND PATCH net-next] ipv6/multipath: remove flag NLM_F_EXCL after the first nexthop

From: Nicolas Dichtel <[email-masked]>
Date: Mon, 05 Nov 2012 09:30:06 +0100

Le 03/11/2012 02:38, David Miller a écrit :
> From: Nicolas Dichtel <[email-masked]>
> Date: Fri,  2 Nov 2012 09:58:22 +0100
>
>> fib6_add_rt2node() will reject the nexthop if this flag is set, so
>> we perform the check only for the first nexthop.
>>
>> Signed-off-by: Nicolas Dichtel <[email-masked]>
>
> It seems a bit hackish, but I don't have any better ideas, so
> applied, thanks.
>
Yes, I agree. It's why I didn't include it in the initial patch ... but I also 
didn't find a better way :/